import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

// modules
import card from "./modules/card/store";
import exam from "./modules/exam/store";

export default new Vuex.Store({
  state: {
    user: {}
  },
  mutations: {
    setUser(state, user) {
      state.user = user;
    }
  },
  actions: {},
  modules: {
    card,
    exam
  }
});
